%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name gast

Name: python%{python_suffix}-%{pypi_name}
Version: 0.5.3
Release: 2
License: BSD-3-Clause
Summary: Python AST that abstracts the underlying Python version
Url: https://github.com/serge-sans-paille/gast/
BuildArch: noarch

Source0: https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip

%description
A generic AST to represent Python2 and Python3's Abstract Syntax Tree (AST).
GAST provides a compatibility layer between the AST of various Python versions,
as produced by ast.parse from the standard ast module

%prep

%setup -q -n %{pypi_name}-%{version}

%build
%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-py3-none-any.whl

sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%license LICENSE

%{python_sitelib}/gast*

%changelog
* Wed Dec 8 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 0.5.3
- Initial spec
